#ifndef APP_MQTT_H
#define APP_MQTT_H

int app_mqtt_init(void);
int app_mqtt_publish(char *topic, uint8_t *payload, uint32_t payload_len);
int app_mqtt_subscribe(char *topic);
int app_mqtt_unsubscribe(char *topic);
int app_mqtt_poll(char **topic, uint8_t **payload, uint32_t *payload_len, uint32_t timeout);

#endif